Mark 1 only works for a few hours


#1

I received a Mark I last week, and believe I set up everything correctly and updated everything, but after a few hours, the device becomes unresponsive and disconnects from wifi. The eyes stay lit up, and the menu still works, but that’s it. It doesn’t respond to wake words or anything.

Looking at the logs, I see shitloads of “UFW Block” messages, but I don’t think that’s related. I have box running Home Assistant on the network, which apparently spams the network with requests…

I also see a lot of “Connection Refused” errors with python tracebacks.

According to home.mycroft.ai, it’s running Core 19.2.4 and Enclosure 1.4.0.

Is this a known issue, and is there a fix?


#2

Here’s a sample of the connection refused errors. But looks like it did eventually connect:

bytes_ = self.recv(min(16384, shortage))
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_core.py”, line 449, in _recv
return recv(self.sock, bufsize)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_socket.py”, line 94, in recv
“Connection is already closed.”)
websocket._exceptions.WebSocketConnectionClosedException: Connection is already closed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/mycroft/messagebus/client/ws.py”, line 77, in on_error
self.emitter.emit(‘error’, error)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/pyee/init.py”, line 178, in emit
raise args[0]
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_app.py”, line 254, in run_forever
proxy_type=proxy_type)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_core.py”, line 220, in connect
options.pop(‘socket’, None))
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 120, in connect
sock = _open_socket(addrinfo_list, options.sockopt, options.timeout)
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 190, in _open_socket
raise err
File “/opt/venvs/mycroft-core/lib/python3.4/site-packages/websocket/_http.py”, line 170, in _open_socket
sock.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
09:31:29.134 - mycroft.messagebus.client.ws:on_error:81 - ERROR - Exception closing websocket: ConnectionRefusedError(111, ‘Connection refused’)
09:31:29.140 - mycroft.messagebus.client.ws:on_error:83 - WARNING - WS Client will reconnect in 40 seconds.
09:32:09.161 - mycroft.messagebus.client.ws:on_open:60 - INFO - Connected


#3

Hi Edward,

Sorry to hear that the Mark 1 isn’t working as expected, but welcome to the community! I’m sure we can work out what’s going on.

I am assuming that you already tried restarting the device and this is happening after a few hours each time it boots?

Also wondering how far the device is from your WiFi access point? Does the behaviour change if it’s moved closer to the access point, or if it’s connected via ethernet?

If you can tell your device to “create a support ticket”. This will upload your logs to termbin.com and email you a link. If you can forward that to support [at] mycroft.ai then we’ll take a deeper look at what might be going on.


#4

Hmm. Well, after doing an ````````sudo apt-get update && apt-get dist-upgrade` It hasn’t froze after 15 hours. So, that may have fixed it.


#5

Hmmm that’s good to hear, I’ll let our quality assurance team (aka Darren :smile:) know about it anyway.

And certainly let us know if the problem returns